Subject: Re: [bug#30180] [PATCH] gnu: libsndfile: Fix CVE-2017-12562.

From: [email-masked] (Ludovic Courtès)
Date: Tue, 23 Jan 2018 10:20:26 +0100

Leo Famulari <[email-masked]> skribis:

> I'd like to ungraft this on core-updates, even though it's late in the
> core-updates cycle. Changing libsndfile requires only ~600 rebuilds per
> architecture.
>
> * gnu/packages/patches/libsndfile-CVE-2017-12562.patch: New file.
> * gnu/local.mk (dist_patch_DATA): Add it.
> * gnu/packages/pulseaudio.scm (libsndfile)[replacement]: New field.
> (libsndfile/fixed): New variable.

The patch LGTM!

As for ungrafting, I’ll let you judge.  I would really like to merge
that branch soon, but I haven’t checked in status over the last couple
of days.

Thanks you,
Ludo’.